"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.font = exports.lineHeights = exports.fontWeights = exports.fontSizes = exports.sizes = exports.space = exports.colors = void 0;
const colors = {
  // Blues
  bluePrimary: '#4268F6',
  blue80: '#6483F8',
  blueLight: '#879FFA',
  blue40: '#A9BAFA',
  bluePale: '#CBD5FD',
  blueHover: '#535B8E',
  blueSecondary: '#38CAF1',
  blueFilter: '#343F87',
  // Blacks
  black: '#1C1C38',
  darkGrey: '#454655',
  grey: '#898A9A',
  greyLight: '#C0C0CA',
  greyPale: '#F6F7FB',
  white: '#fff',
  // Additional
  red: '#FF4567',
  paleRed: '#FFA5B5',
  treal: '#70C9B0',
  paleTreal: '#DBF0F1',
  love: '#e6282b'
};
exports.colors = colors;
// Styled system
const space = ['0', '2px', '4px', '8px', '16px', '24px', '32px', '48px', '64px', '80px', '128px'];
exports.space = space;
space.xs = '2px';
space.sm = '4px';
space.default = '8px';
space.lg = '16px';
space.xl = '24px';
space.xxl = '32px';
const sizes = {
  navbarHeight: '64px',
  sidebarWidth: '300px',
  sidebarMobileWidth: '98px'
};
exports.sizes = sizes;
const fontSizes = ['10px', '12px', '14px', '16px', '18px', '24px', '28px', '32px', '40px'];
exports.fontSizes = fontSizes;
fontSizes.xs = '10px';
fontSizes.sm = '12px';
fontSizes.default = '14px';
fontSizes.lg = '16px';
fontSizes.xl = '18px';
fontSizes.h1 = '40px';
fontSizes.h2 = '32px';
fontSizes.h3 = '28px';
fontSizes.h4 = '24px';
const fontWeights = {
  lighter: 300,
  normal: 400,
  bold: 700
};
exports.fontWeights = fontWeights;
const lineHeights = ['12px', '16px', '24px', '32px', '40px'];
exports.lineHeights = lineHeights;
lineHeights.sm = '12px';
lineHeights.default = '16px';
lineHeights.lg = '24px';
lineHeights.xl = '32px';
lineHeights.xxl = '40px';
const font = '\'Roboto\', sans-serif';
exports.font = font;