import Action from './action.interface';
import RecordJSON from '../decorators/record-json.interface';
/**
 * @implements Action
 * @category Actions
 * @module ListAction
 * @description
 * Returns selected Records in a list form
 * @private
 */
declare const ListAction: Action<ListActionResponse>;
export default ListAction;
/**
 * Response returned by List action
 * @memberof module:ListAction
 * @alias ListAction
 */
export declare type ListActionResponse = {
    /**
     * Paginated collection of records
     */
    records: Array<RecordJSON>;
    /**
     * Pagination metadata
     */
    meta: {
        page: number;
        perPage: number;
        direction: 'asc' | 'desc';
        sortBy: string;
        total: number;
    };
};
