/**
 * Error which is thrown when user
 * doesn't have an access to a given resource/action.
 *
 * @category Errors
 */
declare class ForbiddenError extends Error {
    /**
     * @param   {object} context
     * @param   {string} context.actionName
     * @param   {string} context.resourceId
     */
    constructor({ actionName, resourceId }: {
        actionName: any;
        resourceId: any;
    });
}
export default ForbiddenError;
