/**
 * Marks group of fields as a section. Has the same props as [Box]{@link BoxProps}
 *
 * Usage:
 * ```javascript
 * import { Section } from 'admin-bro'
 * ```
 * @component
 * @subcategory Atoms
 * @example
 * return (
 *   <Section>
 *     <Text>Some text within a section</Text>
 *     <Section>
 *       <Text>Section can be nested</Text>
 *     </Section>
 *   </Section>
 * )
 */
declare const Section: import("styled-components").StyledComponent<"section", import("styled-components").DefaultTheme, import("./box").BoxProps, never>;
export { Section };
export default Section;
