import React from 'react';
/**
 * @memberof NavGroup
 * @alias NavGroupProps
 */
export declare type NavGroupProps = {
    /** Title of the navigation group */
    title: string;
    /** Optional icon */
    icon?: string;
};
/**
 * NavGroup is used in a navigation sidebar to group similar elements
 *
 * Usage
 * ```javascript
 * import { NavGroup, NavGroupProps } from 'admin-bro'
 * ```
 *
 * @component
 * @subcategory Molecules
 * @example
 * return (
 *   <Box py="xl">
 *     <NavGroup title="Some group title" icon="Add">
 *       <Text>Some group element</Text>
 *     </NavGroup>
 *   </Box>
 * )
 */
export declare const NavGroup: React.FC<NavGroupProps>;
export default NavGroup;
